Bug 139541 - Add ability to specify columns in listview rewrite
Add ability to specify columns in listview rewrite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Red Hat Satellite QA List
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-11-16 11:55 EST by Jesus M. Rodriguez
Modified: 2007-04-18 13:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 10:41:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesus M. Rodriguez 2004-11-16 11:55:41 EST
Remove the HTML from the JSP page.  Use a custom jsp tag
to specify the columns and the header attribute.

<rhn:listdisplay>
   <rhn:column header="header.name"   
               url="UserDetails.do?uid=${current.id}">
      ${current.userLogin}
   </rhn:column>
   <rhn:column header="username.displayname" align="left">
      Show this data
   </rhn:column>
</rhn:listdisplay>

rhn:listdisplay has not attributes only child columns.
rhn:column has a requires header attribute,
and optional: align and url attributes.
Comment 1 Jesus M. Rodriguez 2004-12-03 10:41:19 EST
We now have the ability to specify the column, as well as the set.
We also have a new list tag which determines if there is a need to display
a list or not.  The listdisplay tag defines the structure of the list (table)
while the column tags define the columns.  See the following example:

<pre>
<rhn:list pageList="${requestScope.pageList}"
          noDataText="page.jsp.messagekey">
  <rhn:listdisplay>
    <rhn:column header="header.name"
                align="center" width="5%">
      <html:multibox property="groups">${current.id}</html:multibox>
      <input type="hidden" name="cid" value="${current.id}" />
    </rhn:column>
    <rhn:column header="assignedgroups.jsp.group"
                align="left"
                url="SystemGroupDetails.do?sgid=${current.id}">
        ${current.group_name}
    </rhn:column>
  </rhn:listdisplay>
  <input type="hidden" name="uid" value="${user.id}" />
  <input type="hidden" name="formvars" value="uid" />
                                                                               
                                                              
    <div align="right">
      <hr />
      <html:submit property="submit">
      <bean:message key="Update Permissions"/>
      </html:submit>
    </div>
</rhn:list>

</pre>

Note You need to log in before you can comment on or make changes to this bug.